# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ssec-cli"
version = "0.5.5"
authors = ["James Connolly <me@j-conn.com>"]
build = "build.rs"
include = [
    "/Cargo.toml",
    "/Cargo.lock",
    "/build.rs",
    "/src/*.rs",
    "/src/bin/ssec.rs",
    "LICENSE",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
default-run = "ssec"
description = "command-line interface for reading and writing the SSEC file format"
readme = "README.md"
categories = [
    "command-line-utilities",
    "security",
]
license = "GPL-3.0-or-later"
repository = "https://github.com/james-conn/ssec-cli"

[lib]
name = "ssec_cli"
path = "src/lib.rs"

[[bin]]
name = "ssec"
path = "src/bin/ssec.rs"

[dependencies.bytes]
version = "1"

[dependencies.clap]
version = "4.6"
features = ["derive"]

[dependencies.futures-util]
version = "0.3"

[dependencies.indicatif]
version = "0.18"
features = ["tokio"]

[dependencies.rand]
version = "0.10"
features = [
    "sys_rng",
    "std_rng",
]
default-features = false

[dependencies.regex]
version = "1"

[dependencies.reqwest]
version = "0.13"
features = [
    "rustls",
    "stream",
]
default-features = false

[dependencies.rpassword]
version = "7.5"

[dependencies.ssec-core]
version = "0.9"

[dependencies.tempfile]
version = "3"

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
    "fs",
    "io-util",
]

[dependencies.tokio-util]
version = "0.7"
features = ["io"]

[dependencies.url]
version = "2.5"

[dependencies.zeroize]
version = "1.8"

[dev-dependencies.wiremock]
version = "0.6"

[build-dependencies.clap]
version = "4.5"
features = ["derive"]

[build-dependencies.clap_complete]
version = "4.6"

[build-dependencies.url]
version = "2.5"

[profile.test]
opt-level = 1
